package cn.com.qmth.examcloud.task.starter.config;

import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;

import cn.com.qmth.examcloud.commons.base.logging.ExamCloudLog;
import cn.com.qmth.examcloud.commons.base.logging.ExamCloudLogFactory;
import cn.com.qmth.examcloud.task.starter.TaskApp;

public class JobsInitializationListener implements ApplicationListener<ContextRefreshedEvent> {

	private static final ExamCloudLog LOG = ExamCloudLogFactory.getLog(TaskApp.class);

	@Override
	public void onApplicationEvent(ContextRefreshedEvent event) {
		LOG.info("start to init jobs...");
		JobsInitialization jobsInitialization = event.getApplicationContext()
				.getBean(JobsInitialization.class);
		jobsInitialization.init();
		LOG.info ("jobs inited.");
	}

}
